Subject: bug#67639: Description of the variable message-mail-user-agent in Emacs 29.1

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Dec 2023 16:33:16 +0200

merge 67639 67638
close 67638
thanks

> Date: Mon, 04 Dec 2023 23:27:37 +0000
> From: [email-masked]
> 
> I would appreciate clarifying this variable.
> 
> I have difficulties understanding what the variable 
> message-mail-user-agent means and what the options mean. The description 
> for this variable doesn't help:
> 
> > Like ‘mail-user-agent’.
> I don't know what this sentence means.
> 
> > Except if it is nil, use Gnus native MUA; if it is t, use 
> > ‘mail-user-agent’.
> Please remove Except from the beginning of the sentence, because 
> non-native English speakers like myself think that "Except if it is nil" 
> means "Whenever not nil". It may be correct, but it's confusing to some 
> people. Perhaps the confusion arises because there's a full stop rather 
> than a comma.
> 
> If the except links the sentence to the one above, then why write "if it 
> is t, use ‘mail-user-agent’ ", which is a repetition at this point? Now 
> it looks from the description like there should be two options, but 
> instead there's five.
> 
> I'm totally at loss!

This is an exact duplicate of bug#67638, so I'm now closing both as
fixed.